%global momorel 4
%global md5sum_src0 2f140db3cf9be02a5da64645a9ea5dcd

Summary: K-3D open-source 3D modeling, animation, and rendering system
Name: k3d
Version: 0.6.6.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.k-3d.org/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-src.tar.bz2 %{md5sum_src0}
# patch from Fedora
Patch10: k3d-0.5.15.0-gl64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: aqsis
Requires: yafray
# reserved
# Requires: povray
BuildRequires: ImageMagick-Magick++-devel
BuildRequires: OpenEXR-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: boost-devel
BuildRequires: bzip2-devel
BuildRequires: expat-devel
BuildRequires: freetype-devel
BuildRequires: graphviz-devel
BuildRequires: gtkglext-devel
BuildRequires: gtkmm-devel
BuildRequires: gts-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: librsvg2
BuildRequires: libsigc++-devel
BuildRequires: libtiff-devel
BuildRequires: libtool
BuildRequires: mesa-libGL-devel
BuildRequires: plib
BuildRequires: python-devel >= 2.5

%description
K-3D is the free-as-in-freedom 3D modeling, animation, and rendering 
system for GNU / Linux, Posix, and Win32 operating systems. K-3D features a 
robust, object-oriented plugin architecture, designed to scale to the needs of 
professional artists, and is designed from-the-ground-up to generate 
motion-picture-quality animation using RenderMan-compliant render engines.

%package devel
Summary: Headers for rendering models written by K-3D
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries and header files needed for
rendering a model written by K-3D.

%prep
%setup -q

%patch10 -p0 -b .gl64

aclocal -I m4
autoconf
automake

%build
%configure \
	--enable-shared \
	--enable-static \
	--without-libxml2 \
	--with-external-boost \
	--with-freetype2 \
	--with-gnome \
	--without-graphviz \
	--with-gts \
	--with-imagemagick \
	--with-jpeg \
	--with-ngui \
	--without-nls \
	--with-openexr \
	--with-png \
	--with-python \
	--without-qt \
	--without-superlu \
	--with-svg-icons \
	--with-tiff
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog* INSTALL NEWS README TODO
%{_bindir}/k3d
%{_bindir}/k3d-bin
%{_bindir}/k3d-bug-buddy
%{_bindir}/k3d-make-module-proxy
%{_bindir}/k3d-makempeg
%{_bindir}/k3d-renderframe
%{_bindir}/k3d-renderjob
%{_bindir}/k3d-sl2xml
%{_bindir}/k3d-uuidgen
%{_libdir}/k3d
%{_libdir}/libk3dngui.so
%{_libdir}/libk3dnui.so
%{_libdir}/lib*.so.*
%{_datadir}/applications/k3d.desktop
%{_datadir}/k3d
%{_mandir}/man1/k3d.1*

%files devel
%defattr(-, root, root, -)
%{_bindir}/k3d-config
%{_includedir}/k3d
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%exclude %{_libdir}/libk3dngui.so
%exclude %{_libdir}/libk3dnui.so

%changelog
* Tue Dec  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6.0-4m)
- move libk3dn*ui.so from devel to main
- enable startup without devel package
- sort BuildRequires

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6.0-3m)
- BuildRequires: freetype2-devel -> freetype-devel

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6.0-2m)
- Requires: aqsis, yafray

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6.0-1m)
- initial package for Momonga Linux
